Anubis - Bug #6
Message d'erreur pas assez explicite
08/11/2007 11:41 AM - Anonymous

Status: Closed Start date:

Priority: High Due date:

Assignee: Alain Prouté % Done: 0%
Category: Compiler Estimated time: 0.00 hour
Target version: 1.8

Platform: Triage Stage:

Resolution: fixed

Description

Sur le code suivant,

with tz = "CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00",
assertlsSame(current_time_offset(tz), if is_dst then -120 else -60);

on obtient le message suivant :

D:/Develop/Anubis/EZMailBox/EZMailBox/src/tests/utils.unit_test.anubis (line 22, column 72) Error E027:

conditional has 2 interpretations:

1. One
2. One

)

J'ai beau chercher, je ne parvient pas a comprendre ce message. is_dst est de type Bool

The test of the

History

#1 - 09/22/2007 02:42 PM - Alain Prouté

- Status changed from New to Assigned

#2 - 07/21/2008 01:23 PM - Anonymous
- Status changed from Assigned to Closed
- Resolution set to fixed

Maybe fixed. This code compiles fine now (with anubis 1.9)
